## netw-ib-ox-ag 5.39.0+dfsg

=== src/netwib-src/src/port/freebsd/kernelmodule/Makefile ===
BINDIR=	.
SRCS=	ether_mod.c ether_mod_load.c
KMOD=	ether_spoof
NOMAN=	none

CLEANFILES+= ${KMOD}

.include <bsd.kmod.mk>
