## netw-ib-ox-ag 5.39.0+dfsg

=== debian/changelog ===
netw-ib-ox-ag (5.39.0+dfsg-0.1build1) resolute; urgency=medium

  * No-change rebuild for libnet9.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 14:10:15 +0000

netw-ib-ox-ag (5.39.0+dfsg-0.1) unstable; urgency=medium

  [ Andreas Tille ]
  * Non-maintainer upload.
  * Maintain package in Debian team on Salsa
  * Add watch file
  * d/copyright: DEP5
  * d/README.source: Move some information from former d/copyright here
  * Standards-Version: 4.7.2 (routine-update)
  * Fix lintian-overrides regarding custom-library-search-path
    (after confirming this is really needed)
  * Ignore clean errors without making lintian angry
  * Exclude windows compiled binaries and windows related source code
  * debian/netwag.menu: s/Apps/Applications/
  * debian/control: Do not mirror source section
  * Fix clean target
    Closes: #1046595, #1049487 

  [ наб ]
  * d/p/: add _BSD_SOURCE to fix corresponding warning
  * debhelper-compat 13 (routine-update)
  * d/rules: short dh
  * d/control: HHomepage -> Homepage

 -- Andreas Tille <tille@debian.org>  Sat, 15 Mar 2025 02:25:52 +0100

netw-ib-ox-ag (5.39.0-1.6) unstable; urgency=medium

  * Non-maintainer upload.
  * add loong64 support, Closes: #1050486

 -- xiao sheng wen <atzlinux@debian.org>  Sat, 28 Dec 2024 10:18:29 +0800

netw-ib-ox-ag (5.39.0-1.5) unstable; urgency=medium

  * Non-maintainer upload.

  [Bo YU]
  * Fix "FTBFS on riscv64:  Could not guess NETWIBDEF_SYSARCH"
    (Closes: #1010361)

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 28 Jun 2022 18:00:01 +0800

netw-ib-ox-ag (5.39.0-1.4) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 12:59:57 +0100

netw-ib-ox-ag (5.39.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to the default Tcl/Tk version from 8.5 since Tcl/Tk 8.5 is to be
    removed from Debian (closes: #893032).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 27 Apr 2018 12:04:13 +0300

netw-ib-ox-ag (5.39.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches:
    - Add debian/patches/04-add-s390x-support to add platform
      detection support for IBM S390 (64-bit).
    - Add debian/patches/05-add-arm64-support to add platform
      detection support for ARM (64-bit).
    - Add debian/patches/06-add-kfreebsd-support to add platform
      detection support for Debian GNU/kFreeBSD systems.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 18 Nov 2015 19:52:55 +0100

netw-ib-ox-ag (5.39.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/changelog:
    - Remove trailing spaces in various lines.
  * debian/patches:
    - Add debian/patches/02-add-sh4-support to add platform
      detection support for Renesas SH. (Closes: #703284)
    - Add debian/patches/03-add-ppc64el-support to add platform
      detection support for PowerPC64 LE. (Closes: 762580)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 18 Nov 2015 15:32:58 +0100
