=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Bartosz Fenski <fenio@debian.org>
-Build-Depends: debhelper (>= 4.0.0), libpcap-dev, libnet1-dev, tk8.5, sed (>= 4)
-Standards-Version: 3.9.4
+Build-Depends: debhelper-compat (= 13), libpcap-dev, libnet1-dev, tk, sed (>= 4)
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/netw-ib-ox-ag
+Vcs-Git: https://salsa.debian.org/debian/netw-ib-ox-ag.git
 Homepage: http://ntwox.sourceforge.net/
 
 Package: netwox
-Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: netwag
@@ -26,9 +27,8 @@
  They are oriented towards network administrators and security auditors.
 
 Package: netwag
-Section: net
 Architecture: all
-Depends: netwox (>= ${source:Version}), ${misc:Depends}, tk8.5, xterm | x-terminal-emulator
+Depends: netwox (>= ${source:Version}), ${misc:Depends}, tk, xterm | x-terminal-emulator
 Suggests: netwag-doc
 Description: graphical frontend for netwox
  Netwag is a graphical front end for netwox which contains more than 200 tools.
@@ -68,9 +68,9 @@
  Netwag is a graphical front end for netwox which contains more than 200 tools.
  Netwag permits one to easily:
  .
-  - search amongst tools proposed in netwox 
-  - construct command line 
-  - run tools 
-  - keep an history of commands 
- . 
+  - search amongst tools proposed in netwox
+  - construct command line
+  - run tools
+  - keep an history of commands
+ .
  This package contains documentation for netwag.
