=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto" \
  https://sf.net/ntwox/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
